org.apache.torque.generator.source.transform

## Class LoadAdditionalSourceTransformer

- java.lang.Object
- - org.apache.torque.generator.source.transform.LoadAdditionalSourceTransformer

- All Implemented Interfaces:
    SourceTransformer

      public class LoadAdditionalSourceTransformer
      extends Object
      implements SourceTransformer

  A SourceTransformer which loads other sources into the current source graph.
  Version:
    $Id: LoadAdditionalSourceTransformer.java 1839288 2018-08-27 09:48:33Z tv $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadAdditionalSourceTransformer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getElement()` Returns the path to the source element to which the additional sources should be added.
    `List<String>` | `getFileExcludes()` Returns the file patterns to exclude from the sources to read.
    `List<String>` | `getFileIncludes()` Returns the file patterns to include to the sources to read.
    `String` | `getSourceFormat()` Returns the key of the format of the source file(s).
    `void` | `setElement(String element)` Sets the path to the source element to which the additional sources should be added.
    `void` | `setFileExcludes(List<String> fileExcludes)` Sets the file patterns to exclude from the sources to read.
    `void` | `setFileIncludes(List<String> fileIncludes)` Sets the file patterns to include to the sources to read.
    `void` | `setSourceFormat(String sourceFormat)` Sets the key of the source format of the source file(s).
    `SourceElement` | `transform(Object rootObject, ControllerState controllerState)` Loads the additional source into the current source graph.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadAdditionalSourceTransformer

          public LoadAdditionalSourceTransformer()

  - ### Method Detail

    - #### transform

          public SourceElement transform(Object rootObject,
                                         ControllerState controllerState)
                                  throws SourceTransformerException

      Loads the additional source into the current source graph.
      Specified by:
        `transform` in interface `SourceTransformer`
      Parameters:
        `rootObject` - the root of the source graph, not null.
        `controllerState` - the controller state, not null.
      Returns:
        the transformed source root, not null.
      Throws:
        `SourceTransformerException` - if the additional source cannot be loaded or the element to add to does not exist.

    - #### getElement

          public String getElement()

      Returns the path to the source element to which the additional sources should be added.
      Returns:
        the path to the anchor element.

    - #### setElement

          public void setElement(String element)

      Sets the path to the source element to which the additional sources should be added.
      Parameters:
        `element` - the path to the anchor element.

    - #### getFileIncludes

          public List<String> getFileIncludes()

      Returns the file patterns to include to the sources to read.
      Returns:
        the file patterns to include.

    - #### setFileIncludes

          public void setFileIncludes(List<String> fileIncludes)

      Sets the file patterns to include to the sources to read.
      Parameters:
        `fileIncludes` - the file patterns to include.

    - #### getFileExcludes

          public List<String> getFileExcludes()

      Returns the file patterns to exclude from the sources to read.
      Returns:
        the file patterns to exclude.

    - #### setFileExcludes

          public void setFileExcludes(List<String> fileExcludes)

      Sets the file patterns to exclude from the sources to read.
      Parameters:
        `fileExcludes` - the file patterns to exclude.

    - #### getSourceFormat

          public String getSourceFormat()

      Returns the key of the format of the source file(s).
      Returns:
        the key for the source format.

    - #### setSourceFormat

          public void setSourceFormat(String sourceFormat)

      Sets the key of the source format of the source file(s).
      Parameters:
        `sourceFormat` - the key for the source format.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.